SHA256
3
0
forked from pool/rpm

Accepting request 47523 from Base:System

Copy from Base:System/rpm based on submit request 47523 from user elvigia

OBS-URL: https://build.opensuse.org/request/show/47523
OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/rpm?expand=0&rev=103
This commit is contained in:
OBS User autobuild 2010-09-09 12:31:22 +00:00 committed by Git OBS Bridge
parent 0ac512d62c
commit 5fc1e5dff4
5 changed files with 54 additions and 27 deletions

14
rpm-gst-provides.patch Normal file
View File

@ -0,0 +1,14 @@
Index: ./autodeps/linux.prov
===================================================================
--- ./autodeps/linux.prov
+++ ./autodeps/linux.prov
@@ -102,4 +102,9 @@ fi
[ -x /usr/lib/rpm/find-provides.ksyms ] &&
printf "%s\n" "${filelist[@]}" | /usr/lib/rpm/find-provides.ksyms "$@"
+#
+# --- GStreamer provides, codecs
+[ -x /usr/lib/rpm/gstreamer-provides ] &&
+ printf "%s\n" "${filelist[@]}" | /usr/lib/rpm/gstreamer-provides | sort -u
+
exit 0

View File

@ -25,7 +25,7 @@ License: GPLv2+
Group: System/Packages
Summary: Python Bindings for Manipulating RPM Packages
Version: 4.8.0
Release: 8
Release: 9
Requires: rpm = %{version}
%py_requires
Source99: rpm.spec

View File

@ -208,8 +208,8 @@
# and
# name of (old) START variable (unless -s is given)
#
# template for variables into etc/sysconfig/package:
# var/adm/fillup-templates/sysconfig.package
# template for variables into /etc/sysconfig/package:
# /var/adm/fillup-templates/sysconfig.package
%fillup_and_insserv(finpsyY) \
%{-p:echo "-p option for fillup_and_insserv no longer supported (ever only used on SL8.0)"; exit 1;} \
%{-s:echo "STARTVAR for fillup_and_insserv no longer supported (rc.config is gone since SL8.0)"; exit 1;} \
@ -224,7 +224,7 @@
SV_B='^### BEGIN INIT INFO' \
SV_E='^### END INIT INFO' \
SV_KW=Default-Enabled \
SV_VALUE=`sed -n -e "/$SV_B/,/$SV_E/{/^# [^[:space:]]*$SV_KW:[[:space:]]*\\([^[:space:]]*\\).*/s//\\1/p;}" < etc/init.d/$SCRIPTNAME` \
SV_VALUE=`sed -n -e "/$SV_B/,/$SV_E/{/^# [^[:space:]]*$SV_KW:[[:space:]]*\\([^[:space:]]*\\).*/s//\\1/p;}" < /etc/init.d/$SCRIPTNAME` \
test "$FORCE_YES" = "1" && SV_VALUE="yes" \
test -n "$SV_VALUE" || SV_VALUE=%{-y:"yes"}%{!-y:"no"} \
INSSRV_ARRAY="$INSSRV_ARRAY $SCRIPTNAME $SV_VALUE" \
@ -237,7 +237,7 @@
# this part really calls fillup for the appropriate files
#
%do_real_fillup() \
TEMPLATE_DIR=var/adm/fillup-templates \
TEMPLATE_DIR=/var/adm/fillup-templates \
SYSC_TEMPLATE=$TEMPLATE_DIR/sysconfig.$PNAME \
SD_NAME="" \
%{sysc_fillup}
@ -251,15 +251,15 @@
shift 2 \
test -n "$SCRIPTNAME" -a -n "$SV_VALUE" || { echo "SCRIPTNAME or SV_VALUE unknown"; exit 1;} \
if test "$FIRST_ARG" = "1" -a "$SV_VALUE" = "no" ; then \
sbin/insserv ${YAST_IS_RUNNING:+-f} -r etc/init.d/$SCRIPTNAME \
/sbin/insserv ${YAST_IS_RUNNING:+-f} -r /etc/init.d/$SCRIPTNAME \
elif test "$FIRST_ARG" = "1" -o "$FORCE_YES" = "1" ; then \
sbin/insserv ${YAST_IS_RUNNING:+-f} etc/init.d/$SCRIPTNAME \
/sbin/insserv ${YAST_IS_RUNNING:+-f} /etc/init.d/$SCRIPTNAME \
fi \
done
# macro: insserv_cleanup
%insserv_cleanup() \
sbin/insserv etc/init.d
/sbin/insserv /etc/init.d
# macro: fillup_only
# do the fillup for sysconfig files
@ -277,7 +277,7 @@
%fillup_only(dans) \
%{-n:PNAME=%{1}}%{!-n:PNAME=%{name}} \
%{-s:SUBPNAME=-%{2}}%{!-s:SUBPNAME=%{-a:-%{name}}} \
TEMPLATE_DIR=var/adm/fillup-templates \
TEMPLATE_DIR=/var/adm/fillup-templates \
SYSC_TEMPLATE=$TEMPLATE_DIR/sysconfig.$PNAME$SUBPNAME \
SD_NAME="" \
%{-d:%{-s:SD_NAME=%{3}/}%{!-s:SD_NAME=%{2}/}} \
@ -286,16 +286,16 @@
# internal only: sysc_fillup
%sysc_fillup() \
if [ -x bin/fillup ] ; then \
if [ -x /bin/fillup ] ; then \
if [ -f $SYSC_TEMPLATE ] ; then \
echo "Updating etc/sysconfig/$SD_NAME$PNAME..." \
mkdir -p etc/sysconfig/$SD_NAME \
touch etc/sysconfig/$SD_NAME$PNAME \
bin/fillup -q etc/sysconfig/$SD_NAME$PNAME $SYSC_TEMPLATE \
echo "Updating /etc/sysconfig/$SD_NAME$PNAME..." \
mkdir -p /etc/sysconfig/$SD_NAME \
touch /etc/sysconfig/$SD_NAME$PNAME \
/bin/fillup -q /etc/sysconfig/$SD_NAME$PNAME $SYSC_TEMPLATE \
fi \
else \
echo "ERROR: fillup not found. This should not happen. Please compare" \
echo "etc/sysconfig/$PNAME and $TEMPLATE_DIR/sysconfig.$PNAME and" \
echo "/etc/sysconfig/$PNAME and $TEMPLATE_DIR/sysconfig.$PNAME and" \
echo "update by hand." \
fi
@ -316,16 +316,16 @@
%remove_and_set(n:y) \
%{-n:PNAME=%{-n*}}%{!-n:PNAME=%{name}} \
DEF_VAL=%{-y:"yes"}%{!-y:"no"} \
DEL_TEMPL=var/adm/fillup-templates/$PNAME.del \
DEL_TEMPL=/var/adm/fillup-templates/$PNAME.del \
rm -f $DEL_TEMPL \
for var in %{?*} ; do \
echo -e "#\\n$var=$DEF_VAL\\n" >> $DEL_TEMPL \
done \
if [ -f etc/sysconfig/$PNAME ] ; then \
bin/fillup -q -t -r -i -d "=" etc/sysconfig/$PNAME $DEL_TEMPL etc/sysconfig/$PNAME.deleted.$$ \
test -f etc/sysconfig/$PNAME.new && mv etc/sysconfig/$PNAME.new etc/sysconfig/$PNAME \
if [ -f /etc/sysconfig/$PNAME ] ; then \
/bin/fillup -q -t -r -i -d "=" /etc/sysconfig/$PNAME $DEL_TEMPL /etc/sysconfig/$PNAME.deleted.$$ \
test -f /etc/sysconfig/$PNAME.new && mv /etc/sysconfig/$PNAME.new /etc/sysconfig/$PNAME \
fi \
for i in $DEL_TEMPL etc/sysconfig/$PNAME.deleted.$$ ; do \
for i in $DEL_TEMPL /etc/sysconfig/$PNAME.deleted.$$ ; do \
if [ -f $i ] ; then \
. $i \
rm -f $i \
@ -333,25 +333,25 @@
done
%insserv_force_if_yast() \
sbin/insserv ${YAST_IS_RUNNING:+-f} %{?*}
/sbin/insserv ${YAST_IS_RUNNING:+-f} %{?*}
%run_ldconfig /sbin/ldconfig
%install_info(:-:) \
ALL_ARGS=(%{**}) \
NUM_ARGS=${#ALL_ARGS[@]} \
if test -x sbin/install-info ; then \
if test -x /sbin/install-info ; then \
if test -e "${ALL_ARGS[$((NUM_ARGS-1))]}" ; then \
sbin/install-info "${ALL_ARGS[@]}" \
/sbin/install-info "${ALL_ARGS[@]}" \
fi \
fi ;
%install_info_delete(:-:) \
ALL_ARGS=(%{**}) \
NUM_ARGS=${#ALL_ARGS[@]} \
if test -x sbin/install-info ; then \
if test -x /sbin/install-info ; then \
if ! test -e "${ALL_ARGS[$((NUM_ARGS-1))]}" ; then \
sbin/install-info --quiet --delete "${ALL_ARGS[@]}" \
/sbin/install-info --quiet --delete "${ALL_ARGS[@]}" \
fi ; \
fi ;

View File

@ -1,3 +1,15 @@
-------------------------------------------------------------------
Wed Sep 8 11:35:46 CEST 2010 - ro@suse.de
- add leading / where appropriate in rpm-suse_macros (bnc#625763)
-------------------------------------------------------------------
Thu Sep 2 10:26:05 UTC 2010 - dimstar@opensuse.org
- Add rpm-gst-provides.patch to allow rpm to collect provides of
gstreamer codecs. This will help pk-gstreamer-install to also
find the codecs it is looking for.
-------------------------------------------------------------------
Thu Aug 12 17:17:49 CEST 2010 - vuntz@opensuse.org

View File

@ -28,7 +28,7 @@ PreReq: %insserv_prereq %fillup_prereq permissions
AutoReqProv: on
Summary: The RPM Package Manager
Version: 4.8.0
Release: 8
Release: 9
Source: rpm-%{version}.tar.bz2
Source1: RPM-HOWTO.tar.bz2
Source2: RPM-Tips.html.tar.bz2
@ -115,6 +115,7 @@ Patch78: nosource.diff
Patch79: nosignature.diff
Patch80: fixsbits.diff
Patch81: pkgconfig-0.24.diff
Patch82: rpm-gst-provides.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
#
# avoid bootstrapping problem
@ -176,7 +177,7 @@ rm -f rpmdb/db.h
%patch -P 50 -P 51 -P 52 -P 53 -P 54 -P 55 -P 56 -P 57 -P 58 -P 59
%patch -P 60 -P 61 -P 62 -P 63 -P 64 -P 65 -P 66 -P 67 -P 68 -P 69
%patch -P 70 -P 71 -P 72 -P 73 -P 74 -P 75 -P 76 -P 77 -P 78 -P 79
%patch -P 80 -P 81
%patch -P 80 -P 81 -P 82
#chmod 755 scripts/find-supplements{,.ksyms}
#chmod 755 scripts/find-provides.ksyms scripts/find-requires.ksyms
#chmod 755 scripts/firmware.prov